## telegram-desktop 1.1.23

=== debian/changelog ===
telegram-desktop (1.1.23-2) unstable; urgency=medium

  * Add Use-OpenSSL-v1.1.patch to migrate to OpenSSL 1.1 (closes: #859852)
  * Add libappindicator as recommended packages (closes: #859172)
  * Bump standards version, no changes

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sat, 25 Nov 2017 10:28:23 +0300

telegram-desktop (1.1.23-1) unstable; urgency=medium

  * New upstream release
    - Refine copyright notes
  * Refresh patches
    - Use tests, new Fix-tests.patch
    - Disable LTO on mips64el to fix FTBFS
  * Bump Standards Version, no changes for this
  * Remove already unnecessary lintian overrides
  * New build dependency, the catch, is used for tests

 -- Nicholas Guriev <guriev-ns@ya.ru>  Thu, 14 Sep 2017 16:16:54 +0300
