## telegram-desktop 1.2.1

=== debian/changelog ===
telegram-desktop (1.2.1-1) unstable; urgency=medium

  * New upstream release (closes: #884137)
  * Refreshed patches and removed the next as applied by upstream:
    - Fix-Insecure-cWorkingDir-permissions.patch
    - Fix-text-duplicating.patch
    - Use-OpenSSL-v1.1.patch
  * Add librange-v3-dev as build dependecy
  * Remove libappindicator1 from recommended packages (closes: #883634)
  * Bump standards version, no changes for this

 -- Nicholas Guriev <guriev-ns@ya.ru>  Fri, 15 Dec 2017 00:04:26 +0300

telegram-desktop (1.1.23-3) unstable; urgency=medium

  * Add Fix-text-duplicating.patch (closes: #883454)

 -- Nicholas Guriev <guriev-ns@ya.ru>  Wed, 06 Dec 2017 09:16:38 +0300
