=== debian/control ===
--- 
+++ 
@@ -18,21 +18,22 @@
  libmsgsl-dev,
  libopenal-dev,
  libopus-dev (>=1.1),
+ librange-v3-dev,
  libssl-dev (>=1.0.1),
  libswscale-dev (>=7:3.2),
  libtgvoip-dev,
  qtbase5-dev (>=5.5),
  qtbase5-private-dev (>=5.5),
  zlib1g-dev (>=1:1.2.8),
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Homepage: https://desktop.telegram.org
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/telegram-desktop.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/telegram-desktop.git
 
 Package: telegram-desktop
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, qt5-image-formats-plugins (>=5.5)
-Recommends: libappindicator3-1 | libappindicator1
+Depends: qt5-image-formats-plugins (>=5.5), ${misc:Depends}, ${shlibs:Depends}
+Recommends: libappindicator3-1
 Description: official telegram messaging app
  Telegram is a messaging app with a focus on speed and security, it is
  super-fast, simple and free. You can use Telegram on all your devices at the
