=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,10 @@
 
 ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
  BUILD_MODE = Release
+ ifneq ($(DEB_HOST_ARCH),mips64el)
+  DEB_CXXFLAGS_MAINT_APPEND = -flto
+  DEB_LDFLAGS_MAINT_APPEND = -flto
+ endif
 else
  BUILD_MODE = Debug
 endif
@@ -37,8 +41,9 @@
 endif
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CPPFLAGS_MAINT_APPEND = $(EXTRA_MACROS:%=-D%)
-export DEB_CXXFLAGS_MAINT_APPEND = -Werror=invalid-pch
+export DEB_CPPFLAGS_MAINT_APPEND += $(EXTRA_MACROS:%=-D%)
+export DEB_CXXFLAGS_MAINT_APPEND += -Werror=invalid-pch
+export DEB_LDFLAGS_MAINT_APPEND
 
 # A generated CMake config will be placed in the next "source" directory.
 %:
@@ -50,6 +55,7 @@
 # sourcedirectory parameter.
 override_dh_auto_clean:
 	dh_auto_clean || dh_auto_clean --sourcedirectory=$(CURDIR)
+	rm -f Telegram/gyp/tests/*.test
 
 # We paste the content of CMakeLists.inj into the generated CMakeLists.txt file
 # instead of patching gyp utility. $NUM is the number of the line before
