## telegram-desktop 1.2.6

=== debian/changelog ===
telegram-desktop (1.2.6-1) unstable; urgency=medium

  * New upstream release
  * Fix memory exhausting during compilation
  * Add GTK 2.0 as build dependency (for fix build on Ubuntu 18.04)
  * Import crl, concurrency runtime library, as missed source (commit 9e11a5c)
  * Combine multiple patches that fix build into one
    - Drop glibc wrappers, they were needed for compatibility with old glibc
  * Install AppStream meta information and upstream changelog
  * Grant content of the debian folder into public domain
  * Bump standards version and debhelper level
    - No significant changes for this
  * Remove unused dependencies, libdee-dev (closes: #888679)

 -- Nicholas Guriev <guriev-ns@ya.ru>  Wed, 31 Jan 2018 00:32:38 +0300

telegram-desktop (1.2.1-2) unstable; urgency=medium

  * Update Various-build-fixes.patch
    - Fix FTBFS on all architectures except amd64 and i386

 -- Nicholas Guriev <guriev-ns@ya.ru>  Fri, 15 Dec 2017 22:46:06 +0300
