=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Build-Depends:
  catch,
  cmake (>=3.0),
- debhelper (>=10),
+ debhelper (>=11),
  dh-exec,
  gyp,
  libappindicator-dev,
  libavcodec-dev (>=7:3.2),
  libavformat-dev (>=7:3.2),
- libdee-dev,
+ libgtk2.0-dev,
  liblzma-dev,
  libmapbox-variant-dev,
  libminizip-dev (>=1.1),
@@ -25,7 +25,7 @@
  qtbase5-dev (>=5.5),
  qtbase5-private-dev (>=5.5),
  zlib1g-dev (>=1:1.2.8),
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Homepage: https://desktop.telegram.org
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/telegram-desktop.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/telegram-desktop.git
