=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,7 @@
 
 EXTRA_MACROS += \
 	DEBIAN_API_ID \
+	RPL_CONSUMER_TYPE_ERASED_ALWAYS \
 	TDESKTOP_DISABLE_AUTOUPDATE \
 	TDESKTOP_DISABLE_CRASH_REPORTS \
 	TDESKTOP_DISABLE_REGISTER_CUSTOM_SCHEME
@@ -66,3 +67,6 @@
 	NUM=$$((`wc -l < $(OUT)/$(BUILD_MODE)/CMakeLists.txt` - 2)); \
 	sed -i "$$NUM r debian/CMakeLists.inj" $(OUT)/$(BUILD_MODE)/CMakeLists.txt
 	dh_auto_configure
+
+override_dh_installchangelogs:
+	dh_installchangelogs changelog.txt
