## telegram-desktop 1.2.15

=== debian/changelog ===
telegram-desktop (1.2.15-1build1) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 22:01:17 -0500

telegram-desktop (1.2.15-1) unstable; urgency=medium

  * New upstream release.
  * Update crl subproject (commit 344cbde)
  * Fonts:
    - Remove Open Sans font from app-resources
    - Add the fonts-open-sans package as recommended (closes: #890341)

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sun, 01 Apr 2018 09:13:15 +0300

telegram-desktop (1.2.6-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Fix memory exhausted during linking on mips and mipsel (closes: #889139)

  [ Nicholas Guriev ]
  * Migrate repository to salsa.debian.org

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sun, 04 Feb 2018 14:05:19 +0300
