=== debian/control ===
--- 
+++ 
@@ -27,13 +27,13 @@
  zlib1g-dev (>=1:1.2.8),
 Standards-Version: 4.1.3
 Homepage: https://desktop.telegram.org
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/telegram-desktop.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/telegram-desktop.git
+Vcs-Git: https://salsa.debian.org/debian/telegram-desktop.git
+Vcs-Browser: https://salsa.debian.org/debian/telegram-desktop
 
 Package: telegram-desktop
 Architecture: any
 Depends: qt5-image-formats-plugins (>=5.5), ${misc:Depends}, ${shlibs:Depends}
-Recommends: libappindicator3-1
+Recommends: fonts-open-sans, libappindicator3-1
 Description: official telegram messaging app
  Telegram is a messaging app with a focus on speed and security, it is
  super-fast, simple and free. You can use Telegram on all your devices at the
