=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%telegram-desktop-$1.tar.gz%" \
    https://github.com/telegramdesktop/tdesktop/releases/latest \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
