## telegram-desktop 1.3.7

=== debian/changelog ===
telegram-desktop (1.3.7-1build1) cosmic; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 30 Jun 2018 23:58:44 -0500

telegram-desktop (1.3.7-1) unstable; urgency=medium

  * New upstream release (closes: #900592)
  * Update patches
    - Add Ayatana-Indicators.patch (closes: #898414)
  * Update crl subproject (commit f893c36)
  * Switch to statically linked libtgvoip.
  * List other header-only libraries in the Built-Using field.
    - Mapbox Variant
    - range-v3 Eric Niebler
    - Microsoft GSL

 -- Nicholas Guriev <guriev-ns@ya.ru>  Fri, 15 Jun 2018 10:35:21 +0300
