=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,10 @@
  GYPFLAGS += --no-parallel  # see bugs.debian.org/799356
 endif
 
+CPPLIBS_PACKAGES = libmapbox-variant-dev libmsgsl-dev librange-v3-dev libtgvoip-dev
+EXTRA_SUBSTVARS += \
+	cpplibs:Built-Using=$(shell dpkg-query -Wf '$${source:Package}(=$${Version}),' $(CPPLIBS_PACKAGES))
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CPPFLAGS_MAINT_APPEND += $(EXTRA_MACROS:%=-D%)
 export DEB_CXXFLAGS_MAINT_APPEND += -Werror=invalid-pch
@@ -76,3 +80,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs changelog.txt
+
+override_dh_gencontrol:
+	dh_gencontrol -- $(EXTRA_SUBSTVARS:%="-V%")
