## telegram-desktop 1.3.10

=== debian/changelog ===
telegram-desktop (1.3.10-1ubuntu1) cosmic; urgency=medium

  * Don't link with -flto, build with -g1 on most targets, or else
    memory exhausted on the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Jul 2018 11:11:07 +0200

telegram-desktop (1.3.10-1) unstable; urgency=medium

  * New upstream release.
    - Export of cloud data is available.
  * Update patches.
    - Add a link to precompiled C++ header for lib_export.
  * Update crl subproject (commit 9bc641f).
  * Bump standards version to 4.5.1.
    - Add the Rules-Requires-Root field to the debian/control file.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Tue, 17 Jul 2018 23:03:53 +0300
