=== debian/control ===
Source: telegram-desktop
Section: net
Priority: optional
Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
Build-Depends: debhelper (>=11),
Build-Depends-Arch:
 catch,
 cmake (>=3.0),
 dh-exec,
 gyp,
 libavcodec-dev (>=7:3.2),
 libavformat-dev (>=7:3.2),
 libayatana-appindicator3-dev | libayatana-appindicator-dev | libappindicator3-dev | libappindicator-dev,
 libgtk2.0-dev,
 liblzma-dev,
 libmapbox-variant-dev,
 libminizip-dev (>=1.1),
 libmsgsl-dev,
 libopenal-dev,
 libopus-dev (>=1.1),
 librange-v3-dev,
 libssl-dev (>=1.0.1),
 libswscale-dev (>=7:3.2),
 libtgvoip-dev (>=2.1),
 qtbase5-dev (>=5.5),
 qtbase5-private-dev (>=5.5),
 zlib1g-dev (>=1:1.2.8),
Standards-Version: 4.1.5
Rules-Requires-Root: no
Homepage: https://desktop.telegram.org
Vcs-Git: https://salsa.debian.org/debian/telegram-desktop.git
Vcs-Browser: https://salsa.debian.org/debian/telegram-desktop

Package: telegram-desktop
Architecture: any
Depends: qt5-image-formats-plugins (>=5.5), ${misc:Depends}, ${shlibs:Depends}
Recommends: fonts-open-sans
Built-Using: ${cpplibs:Built-Using}
Description: official telegram messaging app
 Telegram is a messaging app with a focus on speed and security, it is
 super-fast, simple and free. You can use Telegram on all your devices at the
 same time — your messages sync seamlessly across any number of your phones,
 tablets or computers.
