## telegram-desktop 1.3.14

=== debian/changelog ===
telegram-desktop (1.3.14-1) unstable; urgency=medium

  * New upstream release.
  * Update patches.
    - Add GCC-binding-workaround.patch
  * Bump standards version to 4.2.1, no related changes because Telegram is
    not a Perl program.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Fri, 31 Aug 2018 18:59:26 +0300

telegram-desktop (1.3.10-2) unstable; urgency=medium

  * Fix FTBFS on mips, mipsel, armel with libatomic.
  * Disable LTO at all (closes: #904133).
  * Bump standards version to 4.2.0, no needed changes.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Fri, 03 Aug 2018 22:10:59 +0300
