=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  qtbase5-dev (>=5.5),
  qtbase5-private-dev (>=5.5),
  zlib1g-dev (>=1:1.2.8),
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Homepage: https://desktop.telegram.org
 Vcs-Git: https://salsa.debian.org/debian/telegram-desktop.git
