## telegram-desktop 1.4.0

=== debian/changelog ===
telegram-desktop (1.4.0-1build1) disco; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 13 Nov 2018 17:30:40 -0600

telegram-desktop (1.4.0-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2018-17780 by adding a new setting for peer-to-peer calls.
  * Update crl subproject (commit 4291015).
  * Refresh patches.
    - Drop GCC-binding-workaround.patch as applied by upstream.
    - Rewrite Modify-build-scripts.patch to compile new version.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Wed, 03 Oct 2018 08:29:55 +0300
