## telegram-desktop 1.5.11

=== debian/changelog ===
telegram-desktop (1.5.11-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches to fit new version.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sun, 03 Feb 2019 21:30:53 +0300
