=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  librange-v3-dev,
  libssl-dev (>=1.0.1),
  libswscale-dev (>=7:3.2),
- libtgvoip-dev (>=2.4),
+ libtgvoip-dev (>=2.4.2),
  libxxhash-dev,
  qtbase5-dev (>=5.5),
  qtbase5-private-dev (>=5.5),
