## telegram-desktop 1.7.0

=== debian/changelog ===
telegram-desktop (1.7.0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 07 Aug 2019 14:22:57 -0700

telegram-desktop (1.7.0-1) experimental; urgency=medium

  * New upstream version.
  * Update crl subproject to commit 84072fb.
  * Update patches:
     - Remove the -flto compiler flag.
     - Add Do-not-sync-wallpaper.patch.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Mon, 27 May 2019 23:16:58 +0300
