=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: telegram-desktop
 Section: net
 Priority: optional
-Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
 Build-Depends: debhelper (>=11)
 Build-Depends-Arch:
  catch,
@@ -21,7 +22,7 @@
  librange-v3-dev,
  libssl-dev (>=1.0.1),
  libswscale-dev (>=7:3.2),
- libtgvoip-dev (>=2.4.2),
+ libtgvoip-dev (>=2.4.4),
  libxxhash-dev,
  qtbase5-dev (>=5.5),
  qtbase5-private-dev (>=5.5),
