## telegram-desktop 1.8.2

=== debian/changelog ===
telegram-desktop (1.8.2-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 01 Sep 2019 13:15:26 -0700

telegram-desktop (1.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Patches:
    - Update Modify-build-scripts.patch.
    - Remove Do-not-use-private-Qt-color-API.patch.
    - Add Ignore-emoji-pack.patch.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Fri, 23 Aug 2019 20:15:33 +0300
