=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
-Build-Depends: debhelper (>=11)
+Build-Depends: debhelper-compat (=12)
 Build-Depends-Arch:
  catch,
  cmake (>=3.0),
@@ -13,6 +13,7 @@
  libavformat-dev (>=7:3.2),
  libayatana-appindicator3-dev | libayatana-appindicator-dev | libappindicator3-dev | libappindicator-dev,
  libgtk2.0-dev,
+ liblz4-dev,
  liblzma-dev,
  libmapbox-variant-dev,
  libminizip-dev (>=1.1),
@@ -20,6 +21,7 @@
  libopenal-dev,
  libopus-dev (>=1.1),
  librange-v3-dev,
+ librlottie-dev,
  libssl-dev (>=1.0.1),
  libswscale-dev (>=7:3.2),
  libtgvoip-dev (>=2.4.4),
@@ -27,7 +29,7 @@
  qtbase5-dev (>=5.5),
  qtbase5-private-dev (>=5.5),
  zlib1g-dev (>=1:1.2.8),
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: https://desktop.telegram.org
 Vcs-Git: https://salsa.debian.org/debian/telegram-desktop.git
