=== debian/rules ===
--- 
+++ 
@@ -84,6 +84,3 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- $(EXTRA_SUBSTVARS:%="-V%")
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
