## telegram-desktop 1.8.8

=== debian/changelog ===
telegram-desktop (1.8.8-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 16 Sep 2019 18:08:20 -0700

telegram-desktop (1.8.8-1) unstable; urgency=medium

  * New upstream release.
  * Use large global offset table for lib_scheme on mips64el.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Thu, 12 Sep 2019 19:10:37 +0300
