=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,14 @@
 #  * Telegram/gyp/refresh.sh
 #  * Telegram/Patches/gyp.diff
 # Please recheck this file if they are changed in future versions.
+
+# Gotta use our backported gcc-8 for MX 17/18. It doesn't result in a dependency
+# on a newer libstdc++, which is nice.
+export CC=gcc-8
+export CXX=g++-8
+export CPP=cpp-8
+export LD=gcc-8
+export ASM=gcc-8
 
 include /usr/share/dpkg/default.mk
 OUT = obj-$(DEB_HOST_GNU_TYPE)
@@ -84,3 +92,6 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- $(EXTRA_SUBSTVARS:%="-V%")
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
