## telegram-desktop 1.8.15

=== debian/changelog ===
telegram-desktop (1.8.15-2) unstable; urgency=medium

  * Fixed passing of -mxgot compiler flag for MIPS64.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Fri, 25 Oct 2019 12:41:00 +0300

telegram-desktop (1.8.15-1) unstable; urgency=medium

  * New upstream release.
    - Minor bug fixes.
  * Rewrite build scripts.
  * Specify minimal required version libranges 0.9.0.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Tue, 15 Oct 2019 23:24:43 +0300
