=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: telegram-desktop
 Section: net
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
+Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
 Build-Depends: debhelper-compat (=12)
 Build-Depends-Arch:
  catch,
@@ -20,7 +19,7 @@
  libmsgsl-dev (>=1.0.0), libmsgsl-dev (<<2.0.0),
  libopenal-dev,
  libopus-dev (>=1.1),
- librange-v3-dev,
+ librange-v3-dev (>=0.9.0),
  librlottie-dev,
  libssl-dev (>=1.0.1),
  libswscale-dev (>=7:3.2),
